Index: E:/Dev/musescore/mscore/mscore/mscore/plugins.cpp
===================================================================
--- E:/Dev/musescore/mscore/mscore/mscore/plugins.cpp	(revision 2825)
+++ E:/Dev/musescore/mscore/mscore/mscore/plugins.cpp	(working copy)
@@ -27,8 +27,10 @@
 #include "chord.h"
 #include "note.h"
 #include "utils.h"
+#include "sccursor.h"
 
 Q_DECLARE_METATYPE(Score*);
+Q_DECLARE_METATYPE(SCursor*);
 
 //---------------------------------------------------------
 //   registerPlugin
@@ -285,10 +287,46 @@
 
       se->globalObject().setProperty("curScore", se->newVariant(qVariantFromValue(cs)));
 
-//      SCursor c;
-//      v = se->getCursorClass()->newInstance(c);
-//      se->globalObject().setProperty("curCursor", v);
+	// CURSORS FOR START AND END OF SELECTION
 
+	ChordRest *	pChordrestStart, * pChordrestEnd, * pChordrestTmp;
+//	retrieve first and last chord/rest of selection
+	pChordrestStart	= cs->selection().firstChordRest();
+	pChordrestEnd	= cs->selection().lastChordRest();
+	// if both chord/rests exist and end chord/rest comes before start chord/rest, swap them
+	// TO CHECK: UNNECESSARY ?
+	if( pChordrestStart && pChordrestEnd && (pChordrestEnd->staffIdx() < pChordrestStart->staffIdx() ||
+			pChordrestEnd->voice() < pChordrestStart->voice() ||
+			pChordrestEnd->tick() < pChordrestStart->tick()) ) {
+		pChordrestTmp	= pChordrestStart;
+		pChordrestStart	= pChordrestEnd;
+		pChordrestEnd	= pChordrestTmp;
+	}
+	// if start chord/rest exists, create start cursor from it
+	if(pChordrestStart) {
+		SCursor *	pCursorStart	= new SCursor(cs);
+		pCursorStart->setSegment	(pChordrestStart->segment());
+		pCursorStart->setStaffIdx	(pChordrestStart->staffIdx());
+		pCursorStart->setVoice		(pChordrestStart->voice());
+		se->globalObject().setProperty("curSelectionStart", se->newVariant(qVariantFromValue(pCursorStart)));
+// TO CHECK : we cannot delete the cursor objects now, who and when is going to delete them??
+//		delete pCursorStart;
+	}
+	else
+		se->globalObject().setProperty("curSelectionStart", se->undefinedValue());
+	// if end chord/rest exists, create end cursor from it
+	if(pChordrestEnd) {
+		SCursor *	pCursorEnd	= new SCursor(cs);
+		pCursorEnd->setSegment	(pChordrestEnd->segment());
+		pCursorEnd->setStaffIdx	(pChordrestEnd->staffIdx());
+		pCursorEnd->setVoice	(pChordrestEnd->voice());
+		se->globalObject().setProperty("curSelectionEnd", se->newVariant(qVariantFromValue(pCursorEnd)));
+// TO CHECK : we cannot delete the cursor objects now, who and when is going to delete them??
+//		delete pCursorEnd;
+	}
+	else
+		se->globalObject().setProperty("curSelectionEnd", se->undefinedValue());
+
       QFileInfo fi(f);
       pluginPath = fi.absolutePath();
       se->globalObject().setProperty("pluginPath", se->newVariant(pluginPath));
